routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

// TODO : user not connected
Route::post('/users/{user}/finish', 'UsersController@storeFinish')->name('users.finish');
Route::get('/users/{user}/finish', 'UsersController@finish');

/* User connected */
Route::middleware(['auth'])->group(function () {
    Route::get('/', 'HomeController@index');

    Route::resource('probes', 'ProbesController')->only(['index', 'show']);
    Route::resource('plants', 'PlantsController')->only(['index', 'show']);
});

/* Admin */
Route::middleware(['auth', 'admin'])->group(function () {
    Route::resource('users', 'UsersController')->only(['index', 'store']);
    Route::resource('probes', 'ProbesController')->only(['store']);
    Route::resource('plants', 'PlantsController')->only(['store', 'destroy']);
});

app/Plant.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Plant extends Model
{
    protected $fillable = ['available_plant_id'];

    public function availablePlant(){
        return $this->belongsTo('App\AvailablePlant');
    }
}

app/Http/Controllers/PlantsController.php
<?php

namespace App\Http\Controllers;

use App\AvailablePlant;
use App\Plant;
use Illuminate\Http\Request;

class PlantsController extends Controller
{
    public function index(){
        $plants = Plant::all();

        $exclude = [];
        foreach ($plants as $plant){
            array_push($exclude, $plant->available_plant_id);
        }

        $availablePlants = AvailablePlant::whereNotIn('id', $exclude)->get();
        return view('plants.index', compact('plants', 'availablePlants'));
    }

    public function store(Request $request){
        Plant::create(['available_plant_id' => $request->input('plant-to-add')]);
        return redirect(route('plants.index'))->with('success', "Plante ajoutée avec succès");
    }

    public function show(Plant $plant){
        return view('plants.show', compact('plant'));
    }

    public function destroy(Plant $plant){
        $plant->delete();
        return redirect(route('plants.index'))->with('success', "Plante supprimée avec succès");
    }
}

resources/views/plants/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">Mes plantes</h3>

            <div class="card-tools">
                <!-- Button trigger modal -->
                <button type="button" class="btn btn-primary btn-sm" data-toggle="modal"
                        data-target="#modal-create-probe">
                    Ajouter une plante
                </button>
            </div>
        </div>
        <!-- /.card-header -->
        <div class="card-body p-0">
                        <table class="table">
                            <thead>
                            <tr>
                                <th style="width: 10px">#</th>
                                <th>Nom</th>
                                <th>Nom alternatif</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>

                            @foreach($plants as $plant)

                                <tr>
                                    <td>{{$plant->id}}</td>
                                    <td>{{$plant->availablePlant->name}}</td>
                                    <td>{{$plant->availablePlant->alternate_name}}</td>
                                    <td>
                                        <a href="{{route('plants.show', $plant)}}" class="btn btn-default"><i class="fas fa-eye"></i></a>

                                        <a href="#" onclick="event.preventDefault();document.getElementById('destroy-form-{{$plant->id}}').submit();" class="btn btn-default"><i class="fas fa-trash"></i></a>

                                        <form action="{{route('plants.destroy', $plant)}}" method="post" id="destroy-form-{{$plant->id}}">
                                            @csrf
                                            @method('DELETE')
                                        </form>
                                    </td>
                                </tr>

                            @endforeach
                            </tbody>
                        </table>
        </div>
        <!-- /.card-body -->
    </div>

    <!-- Modal -->
    <div class="modal fade" id="modal-create-probe" tabindex="-1" role="dialog" aria-labelledby="modal-create-probe">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">Ajouter une plante</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <form action="{{route('plants.store')}}" method="post">
                    @csrf
                    <div class="modal-body">
                        <div class="form-group">
                            <label for="plant-to-add">Séléctionner la plante à ajouter</label>
                            <select id="plant-to-add" name="plant-to-add" class="form-control">
                                @foreach($availablePlants as $plant)
                                    <option value="{{$plant->id}}">{{$plant->name}} - {{$plant->alternate_name}}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="btn btn-primary">Ajouter</button>
                    </div>
                </form>
            </div>
        </div>
    </div>

@endsection

resources/views/plants/show.blade.php
@extends('layouts.app')

@section('content')
    <div class="card">
        <div class="card-header">
            <h3 class="card-title">{{$plant->availablePlant->name}}</h3>
        </div>
    </div>

    <div class="card">
        <div class="card-header">
            <h3 class="card-title">Sow instructions</h3>
        </div>
        <div class="card-header">
            <p>{{$plant->availablePlant->sow_instructions}}</p>
        </div>
    </div>

    <div class="card">
        <div class="card-header">
            <h3 class="card-title">Space instructions</h3>
        </div>
        <div class="card-header">
            <p>{{$plant->availablePlant->space_instructions}}</p>
        </div>
    </div>

@endsection